<?php

/**
 * This is the main class
 * through which all commands
 * and methods are exposed.
 */

class stackPHP
{
    /**
     * Constructor
     * @param string $site the desired site
     * @param string $key your API key
     */

    function stackPHP($site,$key)
    {
        $this->site = $site;
        $this->key  = $key;
        $this->max  = $this->current = 0;
    }

    // Returns a nicely formatted date given
    // a timestamp
    
    public function GetDateString($date)
    {
        $now = time();

        $diff = $now - $date;

        if($diff < 60)
            return $diff . ' second' . ((floor($diff) == 1)?'':'s') . ' ago';
        if($diff < 3600)
            return floor($diff / 60) . ' minute' . ((floor($diff / 60) == 1)?'':'s') . ' ago';
        if($diff < 86400)
            return floor($diff / 3600) . ' hour' . ((floor($diff / 3600) == 1)?'':'s') . ' ago';
        if($diff < 172800)
            return 'yesterday';
        if($diff < 259200)
            return '2 days ago';
        else
            return date('M j / y - H:i',$date);
    }
    
}

?>
